dbscripts - Bug #2140

[build-support] breaks db-import-pkg
2019-01-17 07:56 PM - bill-auger

Status: fixed % Done: 100%
Priority: broken

Assignee: oaken-source

Category:

Description

the only provider of 'libgl' on i686 ('libglvnd') is not available with the default configuration - this makes a fresh install of 'xorg-server'
not possible, as there is no provider of 'libgl’

Related issues:
Related to libretools - Bug #2100: repo [build-support] needs to be added to ... not-a-bug

History

#1 - 2019-01-17 07:57 PM - bill-auger

- Description updated

#2 - 2019-01-18 02:31 PM - GNUtoo

Maybe it's available in arch32's build-support repository

#3 - 2019-01-19 03:40 AM - bill-auger

- Priority changed from broken to discussion

- Subject changed from [libglvnd]: missing from i686 repo to should i686 [build-support] repo be enabled by default in librechroot
- Project changed from Packages to libretools

- Tracker changed from Packaging Request to Porting
yes that seems to be at the heart of the issue - changing title

#4 - 2019-01-19 03:42 AM - bill-auger

- Description updated

#5 - 2019-02-09 01:06 AM - bill-auger
- Related to Bug #2100: repo [build-support] needs to be added to the pacman.conf in i686 LibreChroots added

#6 - 2019-02-09 01:09 AM - bill-auger

yep - this same bug hit a few months ago also - ive changed the topic of this BR to discuss whether the [build-support] repo should be enabled by
default in i686 librechroots

#7 - 2019-03-28 01:20 PM - oaken-source
- Status changed from open to unconfirmed
- Project changed from libretools to dbscripts

- Tracker changed from Porting to Bug

| tracked down what is causing this. In the db-import log in winston, | see repeated entries like the following:

[9182]: | ==> Moving packages from [build-support] to [extral...

[9182]: | —> pkgname=libglvnd (i686)

[9182]: | pkgname=libglvnd (1.1.0-1.2)

[9182]: | 1In: failed to create symbolic link '/srv/repo/main/extra/os//i686/1libglvnd-1.1.0-1.2>
[9182]: | 1In: failed to create symbolic link '/srv/repo/main/extra/os//i686/1libglvnd-1.1.0-1.2>

this happens because libglvnd has the same pkgname, pkgver and pkgrel in build-support, as it has in extra, so db-import thinks the package must
have been moved, instead of realizing they are just identical.

looking here: https:/archlinux32.org/packages/?g=libglvnd
https://archlinux32.org/packages/?q=libglvnd

we can see that the packages are indeed identical in their identifiers:
1686 i686/extra libglvnd Lodlo0=.2 2018-10-07 13:50:06 2018-10-14 16:17:04

1686 1686/build-support libglvnd 1.1.0-1.2 2018-10-07 13:50:06 2018-11-13 17:45:34

this means the issue is with our import scripts, not upstream. How exactly our import scripts need to be fixed still needs to be seen.

#8 - 2019-03-29 07:48 AM - oaken-source
- Priority changed from discussion to broken
- Assignee set to oaken-source

- Status changed from unconfirmed to in progress

#9 - 2019-03-29 07:48 AM - oaken-source
- Subject changed from should i686 [build-support] repo be enabled by default in librechroot to [build-support] breaks db-import-pkg

#10 - 2019-03-29 08:36 AM - oaken-source

| disabled the build-support repo in the db-import conf for arch32 (/etc/dbscripts/config.local.archlinux32) and removed build-support from the repos.
This should fix the libglvnd issues going forward.

In the unlikely event, that we need packages from build-support in the future to build i686 packages, one can (temporarily) add the following to
pacman.conf (in the chroot):

[build-support]
Server = http://mirror.archlinux32.org/$arch/S$repo/

#11 - 2019-03-29 08:36 AM - oaken-source
- % Done changed from 0 to 100

- Status changed from in progress to fixed
